@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

// title
app-side-modal-title {
  margin-bottom: 24px;
}

// content
.app-content {
  height: calc(100% - 13px - 16px);

  ::ng-deep {
    .ps-content {
      height: 100%;
    }
  }
}

// label
.app-label {
  @include ubuntuRegular;
  font-size: 12px;
  line-height: 13px;
  color: $eclipse;
  margin-bottom: 10px;
}

// field
.app-field {
  width: 100%;
}

// error
app-field-error {
  margin-top: 6px;
}

// note
app-note {
  margin-top: 37px;
}

// spinner
app-spinner {
  width: 100%;

  ::ng-deep {
    .app-spinner {
      @include ball(28px);
    }
  }
}
